local addonName, addon = ...
function addon:LoadTranslations(AL)
	local debug = nil
--[===[@debug@
	debug = true
--@end-debug@]===]
	local L = AL:NewLocale(addonName, "enUS", true, debug)
	
-- Random addon strings
L["Last Emote Used"] = true
L["Custom:  "] = true -- Label for custom emotes
L["Toggle the display of slash commands."] = true
L["Currently: "] = true
L["Toggle the display of the minimap button"] = true
L["EmoteLDB version: "] = true

-- Emote Data EL_Types
L["Friendly"] = true
L["Hostile"] = true
L["Happy"] = true
L["Neutral"] = true
L["Unhappy"] = true
L["Custom"] = true
L["Taunts"] = true
L["Affection"] = true
L["Greetings"] = true
L["Combat"] = true
L["Self-Deprecating"] = true
L["Reactions"] = true
L["Other"] = true

-- Genders
L["He"] = true
L["His"] = true
L["he"] = true
L["his"] = true
L["She"] = true
L["Her"] = true
L["she"] = true
L["her"] = true

-- Reactions
L["A"] = true -- "A"ction shortened
L["V"] = true -- "V"ocal shortened
L["AV"] = true -- "A"ction/"V"ocal shortened

-- Actual addon texts
-- Same order as in EmoteData.lua

-- First (emote name only) is text produced
-- when there is no target.  Second (_target)
-- is what's produced when there is a target

-- The following tags:
-- <Target>, <He>, <he>, <She>, <she>
-- <His>, <his>, <Her>, <her>
-- MUST, MUST, MUST remain as is to work
-- They are localized above

L["escape"] = "coughs nervously and looks for an escape."
L["escape_target"] = "coughs nervously at <Target> and looks for an escape."

L["bio"] = "needs to take a bio break."
L["bio_target"] = "tells <Target> that <he> needs a bio break."

L["bladeintro"] = "wants to introduce <his> blade to someone."
L["bladeintro_target"] = "wants to introduce <Target> to <his> blade."

L["agree"] = "You agree."
L["agree_target"] = "You agree with <Target>."

L["amaze"] = "You are amazed!"
L["amaze_target"] = "You are amazed by <Target>!"

L["angry"] = "You raise your fist in anger."
L["angry_target"] = "You raise your fist in anger at <Target>."

L["apologize"] = "You apologize to everyone. Sorry!"
L["apologize_target"] = "You apologize to <Target>. Sorry!"

L["applaud"] = "You applaud. Bravo!"
L["applaud_target"] = "You applaud at <Target>. Bravo!"

L["arm"] = "You stretch your arms out."
L["arm_target"] = "You put your arm around <Target>'s shoulder."

L["attacktarget"] = "You tell everyone to attack something."
L["attacktarget_target"] = "You tell everyone to attack <Target>."

L["bark"] = "You bark. Woof woof!"
L["bark_target"] = "You bark at <Target>"

L["bashful"] = "You are bashful."
L["bashful_target"] = "You are so bashful...too bashful to get <Target>'s attention."

L["beckon"] = "You beckon everyone over to you."
L["beckon_target"] = "You beckon <Target> over."

L["beg"] = "You beg everyone around you. How pathetic."
L["beg_target"] = "You beg <Target>. How pathetic."

L["belch"] = "You let out a loud belch."
L["belch_target"] = "You burp rudely in <Target>'s face."

L["bite"] = "You look around for someone to bite."
L["bite_target"] = "You bite <Target>. Ouch!"

L["bleed"] = "Blood oozes from your wounds."
L["bleed_target"] = "Blood oozes from your wounds."

L["blink"] = "You blink your eyes."
L["blink_target"] = "You blink at <Target>."

L["blush"] = "You blush."
L["blush_target"] = "You blush at <Target>."

L["boggle"] = "You boggle at the situation."
L["boggle_target"] = "You boggle at <Target>."

L["bonk"] = "You bonk yourself on the noggin. Doh!"
L["bonk_target"] = "You bonk <Target> on the noggin. Doh!"

L["bored"] = "You are overcome with boredom. Oh the drudgery!"
L["bored_target"] = "You are terribly bored with <Target>."

L["bounce"] = "You bounce up and down."
L["bounce_target"] = "You bounce up and down in front of <Target>."

L["bow"] = "You bow down graciously."
L["bow_target"] = "You bow before <Target>."

L["brb"] = "You let everyone know you'll be right back."
L["brb_target"] = "You let <Target> know you'll be right back."

L["cackle"] = "You cackle maniacally at the situation."
L["cackle_target"] = "You cackle maniacally at <Target>."

L["calm"] = "You remain calm."
L["calm_target"] = "You try to calm <Target> down."

L["charge"] = "You start to charge."
L["charge_target"] = "You start to charge."

L["cheer"] = "You cheer!"
L["cheer_target"] = "You cheer at <Target>."

L["chicken"] = "With arms flapping, you strut around. Cluck, Cluck, Chicken!"
L["chicken_target"] = "With arms flapping, you strut around <Target>. Cluck, Cluck, Chicken!"

L["chuckle"] = "You let out a hearty chuckle."
L["chuckle_target"] = "You chuckle at <Target>."

L["clap"] = "You clap excitedly."
L["clap_target"] = "You clap excitedly for <Target>."

L["cold"] = "You let everyone know that you are cold."
L["cold_target"] = "You let <Target> know that you are cold."

L["comfort"] = "You need to be comforted."
L["comfort_target"] = "You comfort <Target>."

L["commend"] = "You commend everyone on a job well done."
L["commend_target"] = "You commend <Target> on a job well done."

L["confused"] = "You are hopelessly confused."
L["confused_target"] = "You look at <Target> with a confused look."

L["congrats"] = "You congratulate everyone around you."
L["congrats_target"] = "You congratulate <Target>."

L["cough"] = "You let out a hacking cough."
L["cough_target"] = "You cough at <Target>."

L["cower"] = "You cower in fear."
L["cower_target"] = "You cower in fear at the sight of <Target>."

L["crack"] = "You crack your knuckles."
L["crack_target"] = "You crack your knuckles while staring at <Target>."

L["cringe"] = "You cringe in fear."
L["cringe_target"] = "You cringe away from <Target>."

L["cry"] = "You cry."
L["cry_target"] = "You cry on <Target>'s shoulder."

L["cuddle"] = "You need to be cuddled."
L["cuddle_target"] = "You cuddle up against <Target>."

L["curious"] = "You express your curiosity to those around you."
L["curious_target"] = "You are curious what <Target> is up to."

L["curtsey"] = "You curtsey."
L["curtsey_target"] = "You curtsey before <Target>."

L["dance"] = "You burst into dance."
L["dance_target"] = "You dance with <Target>."

L["doom"] = "You threaten everyone with the wrath of doom."
L["doom_target"] = "You threaten <Target> with the wrath of doom."

L["drink"] = "You raise a drink in the air before chugging it down. Cheers!"
L["drink_target"] = "You raise a drink to <Target>. Cheers!"

L["drool"] = "A tendril of drool runs down your lip."
L["drool_target"] = "You look at <Target> and begin to drool."

L["duck"] = "You duck for cover."
L["duck_target"] = "You duck behind <Target>."

L["eat"] = "You begin to eat."
L["eat_target"] = "You begin to eat in front of <Target>."

L["excited"] = "You talk excitedly with everyone."
L["excited_target"] = "You talk excitedly with <Target>."

L["eye"] = "You cross your eyes."
L["eye_target"] = "You eye <Target> up and down."

L["facepalm"] = "You cover your face with your palm."
L["facepalm_target"] = "You look over at <Target> and cover your face with your palm."

L["fart"] = "You fart loudly. Whew...what stinks?"
L["fart_target"] = "You brush up against <Target> and fart loudly."

L["fidget"] = "You fidget."
L["fidget_target"] = "You fidget impatiently while waiting for <Target>."

L["flee"] = "You yell for everyone to flee!"
L["flee_target"] = "You yell for everyone to flee!"

L["flex"] = "You flex your muscles. Oooooh so strong!"
L["flex_target"] = "You flex at <Target>. Oooooh so strong!"

L["flirt"] = "You flirt."
L["flirt_target"] = "You flirt with <Target>."

L["flop"] = "You flop about helplessly."
L["flop_target"] = "You flop about helplessly around <Target>."

L["followme"] = "You motion for everyone to follow."
L["followme_target"] = "You motion for <Target> to follow."

L["frown"] = "You frown."
L["frown_target"] = "You frown with disappointment at <Target>."

L["gasp"] = "You gasp."
L["gasp_target"] = "You gasp at <Target>."

L["gaze"] = "You gaze off into the distance."
L["gaze_target"] = "You gaze eagerly at <Target>."

L["giggle"] = "You giggle."
L["giggle_target"] = "You giggle at <Target>."

L["glare"] = "You glare angrily."
L["glare_target"] = "You glare angrily at <Target>."

L["gloat"] = "You gloat over everyone's misfortune."
L["gloat_target"] = "You gloat over <Target>'s misfortune."

L["golfclap"] = "You clap half heartedly, clearly unimpressed."
L["golfclap_target"] = "You clap for <Target>, clearly unimpressed."

L["goodbye"] = "You wave goodbye to everyone. Farewell!"
L["goodbye_target"] = "You wave goodbye to <Target>. Farewell!"

L["greet"] = "You greet everyone warmly."
L["greet_target"] = "You greet <Target> warmly."

L["grin"] = "You grin wickedly."
L["grin_target"] = "You grin wickedly at <Target>."

L["groan"] = "You begin to groan."
L["groan_target"] = "You look at <Target> and groan."

L["grovel"] = "You grovel on the ground, wallowing in subservience."
L["grovel_target"] = "You grovel before <Target> like a subservient peon."

L["growl"] = "You growl menacingly."
L["growl_target"] = "You growl menacingly at <Target>."

L["guffaw"] = "You let out a boisterous guffaw!"
L["guffaw_target"] = "You take one look at <Target> and let out a guffaw!"

L["hail"] = "You hail those around you."
L["hail_target"] = "You hail <Target>."

L["happy"] = "You are filled with happiness!"
L["happy_target"] = "You are very happy with <Target>!"

L["healme"] = "You call out for healing!"
L["healme_target"] = "You call out for healing!"

L["hello"] = "You greet everyone with a hearty hello!"
L["hello_target"] = "You greet <Target> with a hearty hello!"

L["helpme"] = "You cry out for help!"
L["helpme_target"] = "You cry out for help!"

L["highfive"] = "You put up your hand for a high five."
L["highfive_target"] = "You give <Target> a high five!"

L["hug"] = "You need a hug!"
L["hug_target"] = "You hug <Target>."

L["hungry"] = "You are hungry!"
L["hungry_target"] = "You are hungry. Maybe <Target> has some food..."

L["incoming"] = "You yell incoming enemies!"
L["incoming_target"] = "You yell incoming enemies!"

L["insult"] = "You think everyone around you is a son of a motherless ogre."
L["insult_target"] = "You think <Target> is the son of a motherless ogre."

L["introduce"] = "You introduce yourself to everyone."
L["introduce_target"] = "You introduce yourself to <Target>."

L["jk"] = "You were just kidding!"
L["jk_target"] = "You let <Target> know that you were just kidding!"

L["kiss"] = "You blow a kiss into the wind."
L["kiss_target"] = "You blow a kiss to <Target>."

L["kneel"] = "You kneel down."
L["kneel_target"] = "You kneel before <Target>."

L["laugh"] = "You laugh."
L["laugh_target"] = "You laugh at <Target>."

L["lavish"] = "You praise the Light."
L["lavish_target"] = "You lavish praise upon <Target>."

L["lay"] = "You lie down."
L["lay_target"] = "You lie down before <Target>."

L["lick"] = "You lick your lips."
L["lick_target"] = "You lick <Target>."

L["listen"] = "You are listening!"
L["listen_target"] = "You listen intently to <Target>."

L["lost"] = "You are hopelessly lost."
L["lost_target"] = "You want <Target> to know that you are hopelessly lost."

L["love"] = "You feel the love."
L["love_target"] = "You love <Target>."

L["massage"] = "You need a massage!"
L["massage_target"] = "You massage <Target>'s shoulders."

L["moan"] = "You moan suggestively."
L["moan_target"] = "You moan suggestively at <Target>."

L["mock"] = "You mock life and all it stands for."
L["mock_target"] = "You mock the foolishness of <Target>."

L["moo"] = "Mooooooooooo."
L["moo_target"] = "You moo at <Target>. Mooooooooooo."

L["moon"] = "You drop your trousers and moon everyone."
L["moon_target"] = "You drop your trousers and moon <Target>."

L["mourn"] = "In quiet contemplation, you mourn the loss of the dead."
L["mourn_target"] = "In quiet contemplation, you mourn the death of <Target>."

L["no"] = "You clearly state, NO."
L["no_target"] = "You tell <Target> NO. Not going to happen."

L["nod"] = "You nod."
L["nod_target"] = "You nod at <Target>."

L["nosepick"] = "With a finger deep in one nostril, you pass the time."
L["nosepick_target"] = "You pick your nose and show it to <Target>."

L["oom"] = "You announce that you have low mana!"
L["oom_target"] = "You announce that you have low mana!"

L["openfire"] = "You give the order to open fire."
L["openfire_target"] = "You give the order to open fire."

L["panic"] = "You run around in a frenzied state of panic."
L["panic_target"] = "You take one look at <Target> and panic."

L["pat"] = "You need a pat."
L["pat_target"] = "You gently pat <Target>."

L["peer"] = "You peer around, searchingly."
L["peer_target"] = "You peer at <Target> searchingly."

L["pity"] = "You pity those around you."
L["pity_target"] = "You look down upon <Target> with pity."

L["plead"] = "You drop to your knees and plead in desperation."
L["plead_target"] = "You plead with <Target>."

L["point"] = "You point over yonder."
L["point_target"] = "You point at <Target>."

L["poke"] = "You poke your belly and giggle."
L["poke_target"] = "You poke <Target>. Hey!"

L["ponder"] = "You ponder the situation."
L["ponder_target"] = "You ponder <Target>'s actions."

L["pounce"] = "You pounce out from the shadows."
L["pounce_target"] = "You pounce on top of <Target>."

L["pray"] = "You pray to the Gods."
L["pray_target"] = "You say a prayer for <Target>."

L["purr"] = "You purr like a kitten."
L["purr_target"] = "You purr at <Target>."

L["puzzled"] = "You are puzzled. What's going on here?"
L["puzzled_target"] = "You are puzzled by <Target>."

L["question"] = "You want to know the meaning of life."
L["question_target"] = "You question <Target>."

L["raise"] = "You raise your hand in the air."
L["raise_target"] = "You look at <Target> and raise your hand."

L["rasp"] = "You make a rude gesture."
L["rasp_target"] = "You make a rude gesture at <Target>."

L["ready"] = "You let everyone know that you are ready!"
L["ready_target"] = "You let <Target> know that you are ready!"

L["rear"] = "You shake your rear."
L["rear_target"] = "You shake your rear at <Target>."

L["roar"] = "You roar with bestial vigor. So fierce!"
L["roar_target"] = "You roar with bestial vigor at <Target>. So fierce!"

L["rofl"] = "You roll on the floor laughing."
L["rofl_target"] = "You roll on the floor laughing at <Target>."

L["rude"] = "You make a rude gesture."
L["rude_target"] = "You make a rude gesture at <Target>."

L["salute"] = "You stand at attention and salute."
L["salute_target"] = "You salute <Target> with respect."

L["scared"] = "You are scared!"
L["scared_target"] = "You are scared of <Target>."

L["scratch"] = "You scratch yourself. Ah, much better!"
L["scratch_target"] = "You scratch <Target>. How catty!"

L["sexy"] = "You're too sexy for your tunic...so sexy it hurts."
L["sexy_target"] = "You think <Target> is a sexy devil."

L["shimmy"] = "You shimmy before the masses."
L["shimmy_target"] = "You shimmy before <Target>."

L["shiver"] = "You shiver in your boots. Chilling!"
L["shiver_target"] = "You shiver beside <Target>. Chilling!"

L["shoo"] = "You shoo the measly pests away."
L["shoo_target"] = "You shoo <Target> away. Be gone pest!"

L["shrug"] = "You shrug. Who knows?"
L["shrug_target"] = "You shrug at <Target>. Who knows?"

L["shy"] = "You smile shyly."
L["shy_target"] = "You smile shyly at <Target>."

L["sigh"] = "You let out a long, drawn-out sigh."
L["sigh_target"] = "You sigh at <Target>."

L["silly"] = "You tell a joke."
L["silly_target"] = "You tell <Target> a joke."

L["slap"] = "You slap yourself across the face. Ouch!"
L["slap_target"] = "You slap <Target> across the face. Ouch!"

L["sleep"] = "You fall asleep. Zzzzzzz."
L["sleep_target"] = "You fall asleep. Zzzzzzz."

L["smell"] = "You smell the air around you. Wow, someone stinks!"
L["smell_target"] = "You smell <Target>. Wow, someone stinks!"

L["smile"] = "You smile."
L["smile_target"] = "You smile at <Target>."

L["smirk"] = "A sly smirk spreads across your face."
L["smirk_target"] = "You smirk slyly at <Target>."

L["snarl"] = "You bare your teeth and snarl."
L["snarl_target"] = "You bare your teeth and snarl at <Target>."

L["snicker"] = "You quietly snicker to yourself."
L["snicker_target"] = "You snicker at <Target>."

L["sniff"] = "You sniff the air around you."
L["sniff_target"] = "You sniff <Target>."

L["snub"] = "You snub all of the lowly peons around you."
L["snub_target"] = "You snub <Target>."

L["soothe"] = "You need to be soothed."
L["soothe_target"] = "You soothe <Target>. There, there...things will be ok."

L["spit"] = "You spit on the ground."
L["spit_target"] = "You spit on <Target>."

L["stare"] = "You stare off into the distance."
L["stare_target"] = "You stare <Target> down."

L["surprised"] = "You are so surprised!"
L["surprised_target"] = "You are suprised by <Target>'s actions."

L["surrender"] = "You surrender to your opponents."
L["surrender_target"] = "You surrender before <Target>. Such is the agony of defeat..."

L["talk"] = "You talk to yourself since no one else seems interested."
L["talk_target"] = "You want to talk things over with <Target>."

L["tap"] = "You tap your foot. Hurry up already!"
L["tap_target"] = "You tap your foot as you wait for <Target>."

L["taunt"] = "You taunt everyone around you. Bring it fools!"
L["taunt_target"] = "You make a taunting gesture at <Target>. Bring it!"

L["tease"] = "You are such a tease."
L["tease_target"] = "You tease <Target>."

L["thank"] = "You thank everyone around you."
L["thank_target"] = "You thank <Target>."

L["thirsty"] = "You are so thirsty. Can anyone spare a drink?"
L["thirsty_target"] = "You let <Target> know you are thirsty. Spare a drink?"

L["tickle"] = "You want to be tickled. Hee hee!"
L["tickle_target"] = "You tickle <Target>. Hee hee!"

L["tired"] = "You let everyone know that you are tired."
L["tired_target"] = "You let <Target> know that you are tired."

L["train"] = "Do the 'Choo Choo Train'!"
L["train_target"] = "Do the 'Choo Choo Train'!"

L["veto"] = "You veto the motion on the floor."
L["veto_target"] = "You veto <Target>'s motion."

L["victory"] = "You bask in the glory of victory."
L["victory_target"] = "You bask in the glory of victory with <Target>."

L["violin"] = "You begin to play the world's smallest violin."
L["violin_target"] = "You play the world's smallest violin for <Target>."

L["wait"] = "You ask everyone to wait."
L["wait_target"] = "You ask <Target> to wait."

L["wave"] = "You wave."
L["wave_target"] = "You wave at <Target>."

L["welcome"] = "You welcome everyone."
L["welcome_target"] = "You welcome <Target>."

L["whine"] = "You whine pathetically."
L["whine_target"] = "You whine pathetically at <Target>."

L["whistle"] = "You let forth a sharp whistle."
L["whistle_target"] = "You whistle at <Target>."

L["wink"] = "You wink slyly."
L["wink_target"] = "You wink slyly at <Target>."

L["work"] = "You begin to work."
L["work_target"] = "You work with <Target>."

L["yawn"] = "You yawn sleepily."
L["yawn_target"] = "You yawn sleepily at <Target>."

L["yw"] = "You were happy to help."
L["yw_target"] = "You were happy to help <Target>."

end